Subject: bug#47979: closed (Re: [bug#47979] [PATCH v7 2/3] installer: Recommend 'ntp-service-type' for non-graphical systems.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Dec 2021 20:35:02 +0000

Your bug report

#47979: [PATCH] installer: Recommend 'ntp-service-type' for non-graphical systems.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47979: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47979
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#47979] [PATCH v7 2/3] installer: Recommend 'ntp-service-type' for non-graphical systems.
From: Leo Famulari <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Dec 2021 15:34:24 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Dec 28, 2021 at 09:27:29AM +0100, Mathieu Othacehe wrote:
> >> +     (null? desktop-environments))
> >                                     ^
> >                                     |
> > There's a typo here that could cause the error mentioned above.

I fixed this bug and pushed as 0d9d151424ab5823e441f056237819277b8aa072.

Thanks a lot for your help!

> Right. I have started a wip-harden-installer branch, and configured
> Cuirass to run the system tests on it:
> https://ci.guix.gnu.org/jobset/wip-harden-installer, to prevent my
> laptop from burning.

I found that the Guix test suite itself fails on berlin, even in the
build container as used when building current-guix-package in the system
tests, but maybe it succeeds when run on the build nodes via CI:

https://issues.guix.gnu.org/46413

That's why I spent a long time running the system tests on my own
computer.

Subject: [PATCH] installer: Recommend 'ntp-service-type' for non-graphical systems.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Fri, 23 Apr 2021 14:53:15 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

We had several bug reports with a root cause of "the clock was
incorrect" from users who used the installer to install a non-graphical
Guix System.

* gnu/installer/services.scm (%system-services): Add the ntp-service-type.
---
 gnu/installer/services.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/gnu/installer/services.scm b/gnu/installer/services.scm
index ec5ea30594..440b8c67db 100644
--- a/gnu/installer/services.scm
+++ b/gnu/installer/services.scm
@@ -2,6 +2,7 @@
 ;;; Copyright © 2018 Mathieu Othacehe <[email-masked]>
 ;;; Copyright © 2019 Ludovic Courtès <[email-masked]>
 ;;; Copyright © 2020 Jan (janneke) Nieuwenhuizen <[email-masked]>
+;;; Copyright © 2021 Leo Famulari <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -103,6 +104,11 @@
       (type 'networking)
       (packages '((specification->package "nss-certs")))
       (recommended? #t))
+     (system-service
+       (name (G_ "Network time service, to set the clock automatically"))
+       (type 'network-management)
+       (snippet '((service ntp-service-type)))
+       (recommended? #t))
 
      ;; Network connectivity management.
      (system-service
-- 
2.31.1